ObjectARX

Reply
Distinguished Contributor
421232206
Posts: 157
Registered: ‎10-21-2010
Message 1 of 3 (122 Views)
Accepted Solution

any method provided to change the drawing order like the Hatch Dialog

122 Views, 2 Replies
09-04-2012 01:02 AM

hatch_dialog.jpg

Technology change life! Programing change technology!
Valued Mentor
owenwengerd
Posts: 494
Registered: ‎08-06-2002
Message 2 of 3 (119 Views)

Re: any method provided to change the drawing order like the Hatch Dialog

09-04-2012 05:24 AM in reply to: 421232206

Look at the AcDbSortentsTable class in the documentation.

--
Owen Wengerd
ManuSoft
Distinguished Contributor
421232206
Posts: 157
Registered: ‎10-21-2010
Message 3 of 3 (110 Views)

Re: any method provided to change the drawing order like the Hatch Dialog

09-04-2012 07:10 PM in reply to: owenwengerd

thanks a lot, and the code below works well.

 

        AcDbObjectIdArray idArr;
        if (!CSelectionGet::smileyfrustrated:SGetFromDWG(idArr,_T(""),NULL,true))
        {
            return;
        }
        AcDbBlockTableRecord *pBtr = NULL;
        if (Acad::eOk != acdbOpenObject(pBtr, Acad_System::GetBlockId(ACDB_MODEL_SPACE), AcDb::kForRead))
        {
            return;
        }
        AcDbSortentsTable *drawOrder = NULL;
        pBtr->getSortentsTable(drawOrder, AcDb::kForWrite, Adesk::kTrue);    
        pBtr->close();
        if (drawOrder)
        {
            drawOrder->moveToTop(idArr);
            drawOrder->close();
        }

Technology change life! Programing change technology!

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Welcome to the new Autodesk Community!
If this is your first visit, click here to get started and make the most of the Community. Let us know what you think of the new experience in the Community Feedback Forum.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community